@import url("https://fonts.googleapis.com/css2?family=Oswald:wght@300;500;700&display=swap");

*,
*::after,
*::before {
  box-sizing: inherit;
  margin: 0;
  padding: 0;
}

:root {
  --background-color: #fefefe;
  --text-dark: #915d38;
  --text-light: hsl(46, 74%, 92%);
  --color100: #c9e1dc;
  --color500: #f6bb41;
  --color900: #1a190a;
  --colorpink: #fadadd;
  --colormint: #3eb489;
  --coloranchor: #ccc;
  --colorfooter: #600010;
  --coloranchorhover: #eee;
  --heading-font: "Arial", sans-serif;
  --body-font: Georgia, Times, serif;
  --alt-font1: "Arial", sans-serif;
  --nav-font: "Oswald", sans-serif;
}

html {
  scroll-behavior: smooth;
  font-family: var(--body-font);
  font-size: clamp(14px, calc(1vw + 0.25em), 22px);
  box-sizing: border-box;
}
body {
  background-color: #ffffff;
  line-height: 1.75rem;
}
/*** General Section Styles ***/
section {
  position: relative;
  width: 100%;
  padding-block: 6rem;
  border: 0;
}
.section__title {
  grid-column: 1/-1;
}
.section__subtitle {
  font-size: 125%;
  font-weight: bold;
}
.section__content {
  width: 80%;
  margin: 0 auto;
}

/*** General Heading Styles ***/
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--heading-font);
  margin-block: 0 1rem;
  line-height: 1;
}

h1 {
  font-size: 3rem;
}
h2 {
  font-size: 2.5rem;
}
h3 {
  font-size: 2rem;
}
h4 {
  font-size: 1.75rem;
}
h5 {
  font-size: 1.5rem;
}
h6 {
  font-size: 1.25rem;
}

/*** General text Styles ***/

p {
  padding: 1em;
  margin-bottom: 0.75em;
}
ul {
  margin-left: 2.5vw;
}
a {
  text-decoration: none;
  font-style: italic;
  font-weight: bold;
  color: var(--coloranchor);
}
a:hover {
  text-decoration: underline;
  color: var(--coloranchorhover);
}

/*** Images ***/
img,
figure {
  max-width: 100%;
}
figcaption {
  text-align: center;
  font-family: var(--alt-font1);
}

/*** Hero Section ******************************/
.hero-section {
  padding: 0;
}
.hero {
  position: relative;
  width: 100%;
  height: 100vh;
  overflow: hidden;
  padding: 0;
}

.hero__background-video {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  min-height: 100%;
}

.hero__overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
}

.hero__content {
  position: absolute;
  top: 30%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: white;
}

.hero__title {
  font-size: 36px;
  font-weight: bold;
  margin-bottom: 10px;
}

.hero__tagline {
  font-size: 30px;
  font-style: italic;
}
/**** Untility Boxes****/

/*** Section 1 ***/
#section1 {
  background-color: #565656;
  background-image: url(../images/clean-livingroom.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-blend-mode: overlay;
}

.card {
  border: 0px solid var(--text-dark);
  padding: 1em;
  padding-bottom: 2em;
  place-items: center;
  justify-content: space-between;
  box-shadow: 10px 15px 25px 5px #333;
}

/*** Utility Classes ***/
.grid {
  display: grid;
  gap: 3em;
}
.flex {
  display: flex;
  gap: 1em;
}
.flex-direction-column {
  flex-direction: column;
}
.gap-1 {
  gap: 1em !important;
}
.cols-2 {
  grid-template-columns: 1fr 1fr;
}
.cols-3 {
  grid-template-columns: repeat(3, 1fr);
}
.cols-4 {
  grid-template-columns: repeat(4, 1fr);
}
.cols-5 {
  grid-template-columns: repeat(5, 1fr);
}
.cols-6 {
  grid-template-columns: repeat(6, 1fr);
}

.cols-40-60 {
  grid-template-columns: 40% 60%;
}
.cols-60-40 {
  grid-template-columns: 60% 40%;
}
.cols-30-70 {
  grid-template-columns: 30% 70%;
}
.cols-20-80 {
  grid-template-columns: 20% 80%;
}
.cols-10-90 {
  grid-template-columns: 10% 90%;
}
.span-full {
  grid-column: 1/-1;
}
.flex-align-center {
  align-items: center;
}
.flex-justify-center {
  justify-content: center;
}
.justify-items-center {
  justify-items: center;
}
.space-around {
  justify-content: space-around;
}
.space-between {
  justify-content: space-between;
}
.justify-content-center {
  justify-content: center;
}
.flex-wrap {
  flex-wrap: wrap;
}

.bg-color100 {
  background-color: var(--color100);
  color: var(--text-dark);
}
.bg-color500 {
  background-color: var(--color500);
  color: var(--color900);
}
.bg-color900 {
  background-color: var(--color900);
  color: var(--color100);
}
.bg-colorfooter {
  background-color: var(--colorfooter);
  color: var(--color100);
}
.bg-colorpink {
  background-color: var(--colorpink);
  color: var(--darktext);
}
.bg-colormint {
  background-color: var(--colormint);
  color: var(--darktext);
}
.text-accent {
  font-size: 1.3rem;
  font-weight: bold;
}
.text-dark {
  color: var(--color900);
}
.text-light {
  color: var(--color100);
}
.text-center {
  text-align: center;
}
.color100 {
  color: var(--color100);
}
.color500 {
  color: var(--color500);
}
.color900 {
  color: var(--color900);
}
.padding1 {
  padding: 1em;
}
.padding2 {
  padding: 2em;
}
.padding3 {
  padding: 3em;
}
.content-shift {
  transform: translateY(-20rem);
  margin-bottom: -20em;
}
.border-top {
  border-top: 1px solid var(--text-light);
  padding-top: 1em;
}
.button {
  padding: 1rem;
  background: var(--color100);
  border: solid 2px var(--text-light);
  max-width: fit-content;
}
.button a {
  color: var(--darktext);
}
/*** End of Utility classes ***/

@media (max-width: 800px) {
  .hero,
  .section__content {
    display: block;
  }
  footer a {
    font-size: 1.5rem;
  }
  .card{
    margin-block: 2em;
  }
}
